# task.hpp File Reference

`#include <saga/saga/base.hpp>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/task_base.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/uuid.hpp>`
`#include <saga/saga/detail/monitorable.hpp>`
`#include <saga/saga/detail/hold_any.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::detail
## Classes
class | saga::task
| Brief description starts here. More...